Free Support Forum - aspose.com

Check compatibility of Aspose.Words for JasperReports with the latest version of Aspose.Words for Java

I think you get the issue when using in the same project aspose.words for java 19.11 & jasper.words for jasperreports 19.10
The exception is the following :

java.lang.SecurityException: class “com.aspose.words.awjr238”'s signer information does not match signer information of other classes in the same package

Everything is working fine with both dependency on 19.10

@antoine.l

We have tested the scenario and have managed to reproduce the same issue at our side. For the sake of correction, we have logged this problem in our issue tracking system as WORDSJR-278. You will be notified via this forum thread once this issue is resolved.

We apologize for your inconvenience.

I’ve seen you’ve released aspose words for java 19.12
Do you plan to release a jasperreports version 19.12 compatible with it ?

@antoine.l

Currently, this issue is under analysis phase. We will check the compatibility of Aspose.Words for JasperReports with the latest version of Aspose.Words for Java.

@antoine.l

The reported issue has been fixed in the latest version of Aspose.Words for JasperReports 19.12. Please download it from here:
Download Aspose.Words for JasperReports 19.12.